summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/mando/mando-0.3.2.ebuild')
-rw-r--r--dev-python/mando/mando-0.3.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/mando/mando-0.3.2.ebuild b/dev-python/mando/mando-0.3.2.ebuild
new file mode 100644
index 00000000000..de590fec5f8
--- /dev/null
+++ b/dev-python/mando/mando-0.3.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Create Python CLI apps with little to no effort at all!"
+HOMEPAGE="https://mando.readthedocs.org/"
+SRC_URI="https://github.com/rubik/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/paramunittest[${PYTHON_USEDEP}] )
+"
+RDEPEND=""
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" mando/tests/run.py || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ use examples && local EXAMPLES=( examples/. )
+
+ distutils-r1_python_install_all
+}